from celery_app import app
from utils.logg import LoggerSingleton

logger = LoggerSingleton.get_logger()

if __name__ == '__main__':
    logger.info("Starting Celery beat scheduler...")
    try:
        app.loader.import_default_modules()
        
        beat = app.Beat(
            logfile=None, 
            loglevel='info',
            socket_timeout=30
        )
        beat.run()
    except Exception as e:
        logger.error(f"Beat failed: {e}")
        raise